Bug 114477 - xkb part doesn't start right
xkb part doesn't start right
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: control-center (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-28 11:19 EST by Bill Nottingham
Modified: 2014-03-16 22:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-21 22:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The complete module list of my installation (14.53 KB, text/plain)
2004-04-23 22:14 EDT, Rodger Wang
no flags Details

  None (edit)
Description Bill Nottingham 2004-01-28 11:19:46 EST
If I run g-s-d by hand (see 114476), I get:

--
Error activating XKB configuration.
Probably internal X server problem.

X server version data:
The XFree86 Project, Inc
40300000
You are using XFree 4.3.0.
There are known problems with complex XKB configurations.
Try using simpler configuration or taking more fresh version of XFree
software.
--

My XKB config isn't that complicated:
Section "InputDevice"
        Option  "XkbOptions"    "ctrl:nocaps"
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
EndSection
Comment 1 Daniel Malmgren 2004-02-03 04:29:28 EST
I get the exakt same error in a requester when gsd is started the
normal way (when I log in using gdm). This is after installing
control-center 2.5.2-2 (upgrading from 2.4 series).

I tried removing everything but "Identifier" and "Driver" from the
keyboard section in my XF86Config, makes no difference.
Comment 2 Daniel Malmgren 2004-02-03 10:52:56 EST
Found out that configuring my keyboard in gnome-keyboard-properties
instead of directly in XF86Config (or using system-config-keyboard)
made it work correctly. Seems gnome-keyboard-properties writes some
gconf values in /desktop/gnome/peripherals/keyboard/xkb that is needed
for xkb to work properly...
Comment 3 Jeremy Katz 2004-02-27 15:20:39 EST
Fixed in 2.5.3-2
Comment 4 Rodger Wang 2004-04-23 22:14:12 EDT
Created attachment 99670 [details]
The complete module list of my installation
Comment 5 Rodger Wang 2004-04-23 22:19:10 EDT
The same bug re-appears with X.org x server.

---
Error activating XKB configuration.
Probably internal X server problem.

X server version data:
The X.Org Foundation
60700000

If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb

---

[root@rodger-tp root]# xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xfree86", "pc105", "us", "", ""
_XKB_RULES_NAMES(STRING) = "xfree86", "pc105", "us", "", ""
[root@rodger-tp root]# gconftool-2 -R
/desktop/gnome/peripherals/keyboard/xkb
 layouts = [us]
 model = pc105
 overrideSettings = false
 options = []
[root@rodger-tp root]#

----

Module list of my installation is also attached.
Comment 6 Randall 2004-05-26 14:20:25 EDT
Same exact error as posted above. Re-posted below. 
Keybord works except for the annoying nag window on desktop login.. 
If I can just get rid of the dialog box I'll be happy. 

Upgrade from RH9 to FC2 

Std. IBM/Windows PS/2 kbd
kbd Worked perfectly on RH9

Error activating XKB configuration.
Probably internal X server problem.

X server version data:
The X.Org Foundation
60700000

If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb


[root@localhost root]# xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xfree86", "pc105", "us", "", ""
_XKB_RULES_NAMES(STRING) = "xfree86", "pc105", "us", "", ""
[root@localhost root]# gconftool-2 -R
/desktop/gnome/peripherals/keyboard/xkb
 layouts = [us]
 model = pc105
 overrideSettings = false
 options = []
[root@localhost root]#

Comment 7 Bill Nottingham 2004-05-26 15:02:16 EDT
Try removing:

        Option      "XkbRules" "xfree86"

from your x config.
Comment 8 Scott Gifford 2004-06-25 12:22:24 EDT
I have the same problem Randall describes.  I don't have an xfree86
rule in my config, and I installed from scratch (not an upgrade from
an earlier RHL).  Here's the output the dialog box requests:

    [gifford@gifford gifford]$ gconftool-2 -R
/desktop/gnome/peripherals/keyboard/xkb
     model = dell
    [gifford@gifford gifford]$ xprop -root |grep XKB
    _XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "us", "", ""
    _XKB_RULES_NAMES(STRING) = "xorg", "pc105", "us", "", ""

My config file says:
Comment 9 Ray Strode [halfline] 2005-10-21 22:52:46 EDT
Hi guys,

This bug is rather old and in the MODIFIED state, which means it's probably been
fixed.

I'm going to close this bug, but if you see the problem with recent version of
Fedora Core, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.